Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 620 - Bug in printtool causes 0-length postscript.cfg for hp DeskJet 600
Summary: Bug in printtool causes 0-length postscript.cfg for hp DeskJet 600
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printtool
Version: 5.1
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-27 00:32 UTC by Robert Dowling
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-28 16:06:22 UTC


Attachments (Terms of Use)

Description Robert Dowling 1998-12-27 00:32:07 UTC
Not exactly sure what causes (other than my system...hp
DeskJet 600 printer)

What I did to fix it was:

Change /usr/bin/printtool:1070
   set tauto_color "-d\nBitsPerPixel=$auto_color"
to:
   set tauto_color "-dBitsPerPixel=$auto_color"
(Perhaps it should be something else...maybe a "-d
BitsPerPixel..")

Having a \n gives this message from sed:
   postscript.cfg error: sed: Unterminated `s' command)
And leaves postscript.cfg with zero length.

--Robert--rd@uman.com

Comment 1 Bill Nottingham 1998-12-28 16:06:59 UTC
this has been fixed for 5.2.


Note You need to log in before you can comment on or make changes to this bug.